package com.develop.food.base.api.request

import com.develop.food.base.http.generateMultipartBody
import com.develop.food.base.utils.getSN
import okhttp3.RequestBody

object UpdatePasswordBody {
    fun genUpdatePasswordBody(
        account: String,
        password: String,
        verifyCodeKey: String,
        verifyCode: String
    ): RequestBody {
        val map = HashMap<String, String>()
        map["account"] = account
        map["sn"] = getSN()
        map["password"] = password
        map["verifyCodeKey"] = verifyCodeKey
        map["verifyCode"] = verifyCode
        return map.generateMultipartBody()
    }
}